Issue 42615 - Mail Merge Still Lacks the ability to automatically suppress empty fields
Summary: Mail Merge Still Lacks the ability to automatically suppress empty fields
Status: CLOSED DUPLICATE of issue 36696
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: 680m77
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: christian.jansen
QA Contact: issues@sw
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-02-12 13:51 UTC by vreid47362
Modified: 2013-08-07 14:38 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description vreid47362 2005-02-12 13:51:56 UTC
OpenOffice Writer's mail merge feature, although much improved, still lacks the
ability to automatically suppress empty merge fields. 

Here's what I observed:

1.  Create table with name, streetaddress1, streetaddress2, city, state, zip
2.  Create letter template
3.  Open mail merge wizard
4.  Had to create a custom merge field template because none of the existing
ones seem to correspond to U.S. address conventions (I'll file this issue
separately)
5.  Created the merged documents and had them saved a a separated file
containing all of the merged letters
6.  I intentionally left some streetaddress1 or streetaddress2 fields blank as
would be the case in a production address list.
7.  I had to go into the merge and manually remove blank lines left by the empty
fields. 

Removing the empty field manually, is simple enough on a small address list, but
on a large list this is very impractical. 

Please add a check box or some way to instruct the merge wizard to remove the
blank lines and spaces caused by empty fields.  Microsoft Word has had this
functionality since Office95.
Comment 1 michael.ruess 2005-02-14 07:56:58 UTC
reassigned to HI.
Comment 2 h.ilter 2005-02-16 15:49:50 UTC
Reassigned to CJ
Comment 3 christian.jansen 2005-05-20 15:03:24 UTC
CJ: Confirmed; Set target to OOo Later, but might be fixed earlier in a Product
Patch.
Comment 4 phillg 2005-07-29 15:45:56 UTC
Dupe of existing missing "hide all blank lines" tick box bug

*** This issue has been marked as a duplicate of 36696 ***
Comment 5 ace_dent 2008-05-17 22:01:48 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 6 ace_dent 2008-05-18 00:06:10 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew